Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## DataClasses
Class User_Data

    java.lang.Object
      DataClasses.User_Data

public class User_Data
extends java.lang.Object

Author:
  student This class is being used for holding the user information.

Field Summary
`private double` | `account`
`private java.lang.String` | `firstName`
`private java.lang.String` | `lastName`
`private int` | `ncbId`
`private java.lang.String` | `organisation`
`private java.lang.String` | `password`
`private java.lang.String` | `preBillingAmount`
`private Stock_Data[]` | `stocksInterested`
`private StockOwnership_Data[]` | `stocksOwned`
`private java.lang.String` | `type`
`private java.lang.String` | `userName`
`private java.lang.String` | `verifier`

Constructor Summary
`User_Data()` This is the constructor for User_Data.java
`User_Data(java.lang.String type, java.lang.String first, java.lang.String last, java.lang.String org, java.lang.String un, java.lang.String pwd, java.lang.String pwd2, java.lang.String pre, java.lang.String account, Stock_Data[] interests)` This is the constructor for User_Data.java

Method Summary
`double` | `getAccount()` This method is being used for getting user's account.
`java.lang.String` | `getFirstName()` This method is being used for getting the first name.
`java.lang.String` | `getLastName()` This method is being used for getting the last name of the user.
`int` | `getNcbId()` This method is being used for getting the ncb Id of the user.
`java.lang.String` | `getOrganisation()` This method is being used for getting the organisation name.
`java.lang.String` | `getPassword()` This method is being used for getting the password.
`java.lang.String` | `getPreBillingAmount()` This method is being used for getting the pre-billing amount.
`Stock_Data[]` | `getStocksInterested()` This method is being used for getting the interested stocks for the user.
`StockOwnership_Data[]` | `getStocksOwned()` This method is being used for getting the owned stocks for the user.
`java.lang.String` | `getType()` This method is being used for getting the type of user - Person or Organisation.
`java.lang.String` | `getUserName()` This method is being used for getting the user name.
`java.lang.String` | `getVerifier()` This method is being used for getting the verifier for the password.
`void` | `setAccount(double acc)` This method is being used for setting user's account.
`void` | `setFirstName(java.lang.String fName)` Method: setFirstName This method is being used for setting the first name.
`void` | `setLastName(java.lang.String lName)` This method is being used for setting the last name of the user.
`void` | `setNcbId(int ncbid)` This method is being used for setting the ncb Id of the user.
`void` | `setOrganisation(java.lang.String o)` This method is being used for setting the organisation name.
`void` | `setPassword(java.lang.String pwd)` This method is being used for setting the user's password.
`void` | `setPreBillingAmount(java.lang.String pre)` This method is being used for getting the pre-billing amount for the user.
`void` | `setStocksInterested(Stock_Data[] stocksI)` This method is being used for setting the interested stocks for the user.
`void` | `setStocksOwned(StockOwnership_Data[] stocks)` This method is being used for setting stocks owned for the user.
`void` | `setType(java.lang.String t)` This method is being used for setting the type of user - Person or Organisation.
`void` | `setUserName(java.lang.String uName)` This method is being used for setting the user name.
`void` | `setVerifier(java.lang.String ver)` This method is being used for setting the verifier for the user.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### account

    private double account

### firstName

    private java.lang.String firstName

### lastName

    private java.lang.String lastName

### ncbId

    private int ncbId

### organisation

    private java.lang.String organisation

### password

    private java.lang.String password

### preBillingAmount

    private java.lang.String preBillingAmount

### stocksInterested

    private Stock_Data[] stocksInterested

### stocksOwned

    private StockOwnership_Data[] stocksOwned

### type

    private java.lang.String type

### userName

    private java.lang.String userName

### verifier

    private java.lang.String verifier

Constructor Detail

### User_Data

    public User_Data()

  This is the constructor for User_Data.java

### User_Data

    public User_Data(java.lang.String type,
                     java.lang.String first,
                     java.lang.String last,
                     java.lang.String org,
                     java.lang.String un,
                     java.lang.String pwd,
                     java.lang.String pwd2,
                     java.lang.String pre,
                     java.lang.String account,
                     Stock_Data[] interests)

  This is the constructor for User_Data.java

Method Detail

### getAccount

    public double getAccount()

  This method is being used for getting user's account.

  Returns:
    double The user account.

### getFirstName

    public java.lang.String getFirstName()

  This method is being used for getting the first name.

  Returns:
    String The first name of the user.

### getLastName

    public java.lang.String getLastName()

  This method is being used for getting the last name of the user.

  Returns:
    String The last name of the user.

### getNcbId

    public int getNcbId()

  This method is being used for getting the ncb Id of the user.

  Returns:
    int Ncb Id.

### getOrganisation

    public java.lang.String getOrganisation()

  This method is being used for getting the organisation name.

  Returns:
    String The organisation name.

### getPassword

    public java.lang.String getPassword()

  This method is being used for getting the password.

  Returns:
    String User password.

### getPreBillingAmount

    public java.lang.String getPreBillingAmount()

  This method is being used for getting the pre-billing amount.

  Returns:
    String The pre-billing amount for the user.

### getStocksInterested

    public Stock_Data[] getStocksInterested()

  This method is being used for getting the interested stocks for the user.

  Returns:
    Stock_Data[] The stocks user is interested in.

### getStocksOwned

    public StockOwnership_Data[] getStocksOwned()

  This method is being used for getting the owned stocks for the user.

  Returns:
    StockOwnership_Data[]

### getType

    public java.lang.String getType()

  This method is being used for getting the type of user - Person or Organisation.

  Returns:
    String Type of user.

### getUserName

    public java.lang.String getUserName()

  This method is being used for getting the user name.

  Returns:
    String User name.

### getVerifier

    public java.lang.String getVerifier()

  This method is being used for getting the verifier for the password.

  Returns:
    String The verifier for the user password.

### setAccount

    public void setAccount(double acc)

  This method is being used for setting user's account.

  Parameters:
    `acc` - Account of user.
  Returns:
    void

### setFirstName

    public void setFirstName(java.lang.String fName)

  Method: setFirstName This method is being used for setting the first name.

  Parameters:
    `fName` - The first name of the user.
  Returns:
    void

### setLastName

    public void setLastName(java.lang.String lName)

  This method is being used for setting the last name of the user.

  Parameters:
    `lName` - The last name of the user
  Returns:
    void

### setNcbId

    public void setNcbId(int ncbid)

  This method is being used for setting the ncb Id of the user.

  Parameters:
    `ncbid` - The ncb Id
  Returns:
    void

### setOrganisation

    public void setOrganisation(java.lang.String o)

  This method is being used for setting the organisation name.

  Parameters:
    `o` - Organisation name
  Returns:
    void

### setPassword

    public void setPassword(java.lang.String pwd)

  This method is being used for setting the user's password.

  Parameters:
    `pwd` - User password.
  Returns:
    void

### setPreBillingAmount

    public void setPreBillingAmount(java.lang.String pre)

  This method is being used for getting the pre-billing amount for the user.

  Parameters:
    `pre` - The pre-billing amount.
  Returns:
    void

### setStocksInterested

    public void setStocksInterested(Stock_Data[] stocksI)

  This method is being used for setting the interested stocks for the user.

  Parameters:
    `stocksI` - The stocks user is interested in.
  Returns:
    void

### setStocksOwned

    public void setStocksOwned(StockOwnership_Data[] stocks)

  This method is being used for setting stocks owned for the user.

  Parameters:
    `stocks` - The owned stocks
  Returns:
    void

### setType

    public void setType(java.lang.String t)

  This method is being used for setting the type of user - Person or Organisation.

  Parameters:
    `t` - Type of user.
  Returns:
    void

### setUserName

    public void setUserName(java.lang.String uName)

  This method is being used for setting the user name.

  Parameters:
    `uName` - The user name
  Returns:
    void

### setVerifier

    public void setVerifier(java.lang.String ver)

  This method is being used for setting the verifier for the user.

  Parameters:
    `ver` - Verifier for the password.
  Returns:
    void

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD